Subject: Re: [NSIS] I-D ACTION:draft-rahman-rtg-router-alert-dangerous-00.txt

From: Toerless Eckert <[email-masked]>
Date: Thu, 30 Oct 2008 15:04:18 -0700

Btw: Would the IETF encourage further protocol designs that would utilize
large data rates of RAO packets ? Like eg: PGM uses.

I am asking because to me the answer to that question logically decides
whether the scope of this draft is only a DoS type of BCP or a requirement
for possible IETF protocol work.

Cheers
    Toerless

On Thu, Oct 30, 2008 at 02:37:16PM -0700, Tony Li wrote:
>  
> Hi Francois,
> 
> |For this reason, Ashok and I have been planning to make a 
> |proposal for  
> |how RSVP could optionally operate without relying on RAO (e.g. based  
> |on PID=46 matching, based directed signaling as already done in a  
> |number of scenarios etc). This would avoid the RAO issue even if  
> |routers do not yet support the new recommended RAO procedures.
> |Any feedback/guidance from this community on that?
> 
> 
> It seems to me that this entire area is delving WAY too far into the
> implementation side of the world.  Please recall that the whole purpose of
> the RAO was to make it easier for the data plane to sort out control plane
> packets that would not otherwise be punted.
> 
> Prior to RAO existing, folks were already sending those control plane
> packets anyway, and we asked the data plane to work much harder.  It seems
> to me that you are, in effect, asking to undo this.  That seems
> counter-productive to me.
> 
> The attacks listed in draft-rahman-rtg-router-alert-dangerous-00.txt exist
> *whether or not RAO is used*.  If you ask routers to filter control plane
> packets without RAO, then the bad guy simply targets his DoS attack against
> those same control plane packets.  Regardless, the same mechanisms for
> detecting and surviving DoS attacks must exist in every implementation.
> 
> Regards,
> Tony
> 
> _______________________________________________
> routing-discussion mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/routing-discussion
_______________________________________________
routing-discussion mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/routing-discussion